org.deidentifier.arx

## Class ARFF2ARX

- java.lang.Object
- - org.deidentifier.arx.ARFF2ARX

-     public class ARFF2ARX
      extends java.lang.Object

  Class to convert an ARFF instance to input for ARX anonymizer.
  Author:
    Andre Breitenfeld, Simon Koennecke, Christian Windolf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARFF2ARX(Instances instances)` Default constructor of this converter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.deidentifier.arx.Data` | `getData()`
    `java.lang.String[]` | `getHeader()`
    `java.util.Map<java.lang.String,org.deidentifier.arx.AttributeType.Hierarchy>` | `getHierarchyMap()`
    `Instances` | `getInstances()`
    `java.lang.String[]` | `getQi()`
    `java.lang.String[]` | `getSensitive()`
    `ARFF2ARX` | `init(java.io.File dir, java.lang.String relation)`
    `boolean` | `isQiAttribute(java.lang.String attr)` Determines if a attribute is a sensitive attribute.
    `boolean` | `isSensitive(java.lang.String attr)` Determines if a attribute is a sensitive attribute.
    `ARFF2ARX` | `setQi(java.lang.String qi)`
    `ARFF2ARX` | `setQi(java.lang.String[] qi)`
    `ARFF2ARX` | `setSensitive(java.lang.String sensitive)`
    `ARFF2ARX` | `setSensitive(java.lang.String[] sensitive)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ARFF2ARX

          public ARFF2ARX(Instances instances)

      Default constructor of this converter.
      Parameters:
        `instances` - The ARFF instance.

  - ### Method Detail

    - #### setQi

          public ARFF2ARX setQi(java.lang.String qi)

    - #### setQi

          public ARFF2ARX setQi(java.lang.String[] qi)

    - #### setSensitive

          public ARFF2ARX setSensitive(java.lang.String sensitive)

    - #### setSensitive

          public ARFF2ARX setSensitive(java.lang.String[] sensitive)

    - #### init

          public ARFF2ARX init(java.io.File dir,
                      java.lang.String relation)
                        throws java.io.IOException

      Parameters:
        `dir` -
        `relation` -
      Returns:
      Throws:
        `java.io.IOException`

    - #### isSensitive

          public boolean isSensitive(java.lang.String attr)

      Determines if a attribute is a sensitive attribute.
      Parameters:
        `attr` - The attribute to check.
      Returns:
        Returns true if the given attribute is a sensitive attribute.

    - #### isQiAttribute

          public boolean isQiAttribute(java.lang.String attr)

      Determines if a attribute is a sensitive attribute.
      Parameters:
        `attr` - The attribute to check.
      Returns:
        Returns true if the given attribute is an qasi-identifier.

    - #### getInstances

          public Instances getInstances()

      Returns:
        Weka instance.

    - #### getHeader

          public java.lang.String[] getHeader()

      Returns:
        Header as string array.

    - #### getQi

          public java.lang.String[] getQi()

      Returns:
        Quasi-identifier as string array.

    - #### getHierarchyMap

          public java.util.Map<java.lang.String,org.deidentifier.arx.AttributeType.Hierarchy> getHierarchyMap()

    - #### getData

          public org.deidentifier.arx.Data getData()

    - #### getSensitive

          public java.lang.String[] getSensitive()

      Returns:
        Sensitive attributes as string array.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`